java.security

## Class URIParameter

- java.lang.Object
- - java.security.URIParameter

- All Implemented Interfaces:
    Policy.Parameters, Configuration.Parameters

      public class URIParameter
      extends Object
      implements Policy.Parameters, Configuration.Parameters

  A parameter that contains a URI pointing to data intended for a PolicySpi or ConfigurationSpi implementation.
  Since:
    1.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URIParameter(URI uri)` Constructs a URIParameter with the URI pointing to data intended for an SPI implementation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getURI()` Returns the URI.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URIParameter

          public URIParameter(URI uri)

      Constructs a URIParameter with the URI pointing to data intended for an SPI implementation.
      Parameters:
        `uri` - the URI pointing to the data.
      Throws:
        `NullPointerException` - if the specified URI is null.

  - ### Method Detail

    - #### getURI

          public URI getURI()

      Returns the URI.
      Returns:
        uri the URI.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.